Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Client\Input\Parser\Content Class Reference

Parser for Version. More...

Inheritance diagram for eZ\Publish\Core\REST\Client\Input\Parser\Content:

## Public Member Functions
| __construct (ParserTools $parserTools, ContentService $contentService, VersionInfo $versionInfoParser, FieldTypeParser $fieldTypeParser)
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| parseFields (array $rawFieldsData, $contentId)
| Parses the fields from the given $rawFieldsData. More...

## Protected Attributes
| $versionInfoParser
| $parserTools
| $contentService
| $fieldTypeParser
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for Version.

Todo:

  Integrate FieldType fromHash()

  Caching for extracted embedded objects

Definition at line 23 of file Publish/Core/REST/Client/Input/Parser/Content.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Client\Input\Parser\Content::__construct | ( | ParserTools | $parserTools,
|  | ContentService | $contentService,
|  | VersionInfo | $versionInfoParser,
|  | FieldTypeParser | $fieldTypeParser
| ) |  |

Parameters

  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |
  \eZ\Publish\API\Repository\ContentService | $contentService |
  \eZ\Publish\Core\REST\Client\Input\Parser\VersionInfo | $versionInfoParser |
  \eZ\Publish\Core\REST\Common\Input\FieldTypeParser | $fieldTypeParser |

Definition at line 47 of file Publish/Core/REST/Client/Input/Parser/Content.php.

References eZ\Publish\Core\REST\$fieldTypeParser, and eZ\Publish\Core\REST\$parserTools.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Client\Input\Parser\Content::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Todo:
  Error handling

Returns
  \eZ\Publish\API\Repository\Values\Content\Content

Definition at line 65 of file Publish/Core/REST/Client/Input/Parser/Content.php.

References eZ\Publish\Core\REST\Client\Input\Parser\Content\parseFields().

## ◆ parseFields()

eZ\Publish\Core\REST\Client\Input\Parser\Content::parseFields | ( | array | $rawFieldsData,
|  |  | $contentId
| ) |  |
| protected

Parses the fields from the given $rawFieldsData.

Parameters

  array | $rawFieldsData |
  string | $contentId |

Returns
  \eZ\Publish\API\Repository\Values\Content\Field[]

Definition at line 93 of file Publish/Core/REST/Client/Input/Parser/Content.php.

Referenced by eZ\Publish\Core\REST\Client\Input\Parser\Content\parse().

## Member Data Documentation

## ◆ $contentService

eZ\Publish\Core\REST\Client\Input\Parser\Content::$contentService
| protected

Definition at line 36 of file Publish/Core/REST/Client/Input/Parser/Content.php.

## ◆ $fieldTypeParser

eZ\Publish\Core\REST\Client\Input\Parser\Content::$fieldTypeParser
| protected

Definition at line 39 of file Publish/Core/REST/Client/Input/Parser/Content.php.

## ◆ $parserTools

eZ\Publish\Core\REST\Client\Input\Parser\Content::$parserTools
| protected

Definition at line 33 of file Publish/Core/REST/Client/Input/Parser/Content.php.

## ◆ $versionInfoParser

eZ\Publish\Core\REST\Client\Input\Parser\Content::$versionInfoParser
| protected

Definition at line 30 of file Publish/Core/REST/Client/Input/Parser/Content.php.

The documentation for this class was generated from the following file:

- Publish/Core/REST/Client/Input/Parser/Content.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.